#ifndef _WATCHER_H
#define _WATCHER_H

#include <Application.h>
#include <Roster.h>
#include <Message.h>
#include "Subject.h"

class Watcher:public BApplication
{
  public:
    Watcher();
    virtual ~Watcher();
    
    //inherited functions:
    virtual void MessageReceived(BMessage *msg);
    
    //new implementations:
    void LoadFiles();
    Subject *CheckType(const char *mimetype);

  private:
    Subject **lst_Subjects;
    int32   subjects;
};

#endif