#include "Subject.h"
#include <Roster.h>
#include <string.h>
#include <stdlib.h>
#include <stdio.h>

Subject::Subject()
{
  openscriptfile = NULL;
  closescriptfile = NULL;
  mimesignature = NULL;
};

Subject::~Subject()
{
  free(openscriptfile);
  free(closescriptfile);
  free(mimesignature);
};

void Subject::OpenRun()
{
  status_t error;
  printf("launching the open script...\n");
  if (openscriptfile)
  {
    error = be_roster->Launch(openscriptfile,0,0);
    if (error)
      printf("Error launching close script: %s\n", strerror(error));
  }
};

void Subject::CloseRun()
{
  status_t error;
  printf("launching the close script...\n");
  if (closescriptfile)
  {
    error = be_roster->Launch(closescriptfile,0,0);
    if (error)
      printf("Error launching close script: %s\n", strerror(error));
  };
};